commit:     619191243a923c9791c5cc101865f2fd74f2050d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 27 05:11:13 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Oct 27 05:34:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61919124

app-office/texstudio: add 4.0.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-office/texstudio/Manifest               |  1 +
 app-office/texstudio/texstudio-4.0.2.ebuild | 78 +++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
index d365c975d9e..223983b7a0e 100644
--- a/app-office/texstudio/Manifest
+++ b/app-office/texstudio/Manifest
@@ -2,3 +2,4 @@ DIST texstudio-3.1.1.tar.gz 83239128 BLAKE2B 
7aeedba9ec5a404d51e8854a67c2e07f4ef
 DIST texstudio-3.1.2.tar.gz 83987451 BLAKE2B 
0649a4f2a429d1d7a6134e154c338f623de23c8b05829a169599f6950b59190736a0f4c2a4dc0e57ae2c47a5eb26594639660a8b691adbb768cb013061d5c1d8
 SHA512 
c8ce74cca6620ba725c4e8ff66564cc4804f3b922877af5c4952a8cd5b43fdf2deb88c1515f457f75a67d7d29ca1d6307779b8304c0b78b37f585c61a12221c4
 DIST texstudio-4.0.0.tar.gz 88426776 BLAKE2B 
616ffaf35a4f2c5e5290517b38301c575b91251374ee96dc58560f40115ffd5e4e68830fe927283dcdf0f9c9b38815fe04a86a7e58e2dc7936b2b32e38bd6662
 SHA512 
9025e0709145ed9c352f9cfd748087b331fd2894c913d7b7707254050ea41d5df74077c8f94cc3fb19c4700d468d55e91895da1ea474759d83af499ef436cdbc
 DIST texstudio-4.0.1.tar.gz 88469841 BLAKE2B 
ef1987fd3e733e9de57db5d8f2e25802f8eb86ad8a957f236283db41756c6e8cb133646d212d2d85d9c2ea9b53f2677f8ce76509d7e4634465859251a280c978
 SHA512 
cb993027950a525ac8cc5eac4ca95e0c9ffa712aab6f27d8c22b46e52d4edc3e05b2ba16efbf5d8c0e40d6ef75abcdd6dbd86ef59fd0f7b87ab4cbbd03f83b85
+DIST texstudio-4.0.2.tar.gz 88557508 BLAKE2B 
51c7b80f01e6e657b901d197bae01e4314446690d8169da823d2bc0be13a1918c248976f81ec64c1ce57dc523fd1b3a1aa01709cce3d56de207a69d42c9cb512
 SHA512 
a2579788cac0ddf1edc7be2040ea13bc7aece5596a91cd8361a4de8c7fafaa86c95ef34e40f4a0bdf3b5cfc52c951af737138ccd26dbf8ac730ec64f8a38cfd7

diff --git a/app-office/texstudio/texstudio-4.0.2.ebuild 
b/app-office/texstudio/texstudio-4.0.2.ebuild
new file mode 100644
index 00000000000..1e8cd724e85
--- /dev/null
+++ b/app-office/texstudio/texstudio-4.0.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop qmake-utils xdg
+
+MY_PV="${PV/_/}"
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio";
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="video"
+
+DEPEND="
+       app-text/hunspell:=
+       app-text/poppler:=[qt5]
+       >=dev-libs/quazip-0.7.3-r1:0=
+       dev-qt/designer:5
+       dev-qt/qtcore:5
+       dev-qt/qtconcurrent:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtprintsupport:5
+       dev-qt/qtsingleapplication[qt5(+),X]
+       dev-qt/qtsvg:5
+       dev-qt/qttest:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtxml:5
+       sys-libs/zlib
+       x11-libs/libX11
+       x11-libs/libXext
+       video? ( >=media-libs/phonon-4.11.0 )
+"
+RDEPEND="
+       ${DEPEND}
+       app-text/ghostscript-gpl
+       app-text/psutils
+       media-libs/netpbm
+       virtual/latex-base
+"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-3.0.5-quazip1.patch" # TODO: upstream
+)
+
+src_prepare() {
+       xdg_src_prepare
+
+       # TODO: find hunspell quazip utilities/poppler-data qtsingleapplication 
-delete || die
+       rm -r src/quazip || die
+
+       if use video; then
+               sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
+       fi
+
+       sed -e "/qtsingleapplication.pri/s/.*/CONFIG += qtsingleapplication/" \
+               -i ${PN}.pro || die
+}
+
+src_configure() {
+       eqmake5 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1
+}
+
+src_install() {
+       local i
+       for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+               newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+       done
+
+       emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+}

Reply via email to